use Test::More;

use lib 'lib';
use helper;
use SugarTrail::Repo;

my $repo = SugarTrail::Repo->new(root => './t/data/strepo', vcs => 'git');

my $m1 = $repo->load_stm(stm=>'/selftest/posititve/multiple_parameters.stm');
ok($m1,             "multiple_parameters: master is true");

my $s1 = $m1->generate_slave({ proto => "imap", os => "w7a" });
ok($s1,            "multiple_parameters: slave is true");

my $m2 = $repo->load_stm(stm=>'/selftest/negative/multiple_warnings.stm');
ok($m2,             "multiple_warnings: master is true");

my $s2 = $m2->generate_slave({ os => "w7a", arch => "amd64" });
ok($s2,            "multiple_warnings: slave is true");

&helper::dmup(m1=>\$m1);
&helper::dmup(s1=>\$s1);
&helper::dmup(m2=>\$m2);
&helper::dmup(s2=>\$s2);

done_testing();
